org.apache.fop.svg

## Class AbstractFOPTranscoder.FOPTranscoderUserAgent

- java.lang.Object
- - org.apache.batik.bridge.UserAgentAdapter
  - - org.apache.fop.svg.AbstractFOPTranscoder.FOPTranscoderUserAgent

- All Implemented Interfaces:
    org.apache.batik.bridge.UserAgent
  Enclosing class:
    AbstractFOPTranscoder

      protected class AbstractFOPTranscoder.FOPTranscoderUserAgent
      extends org.apache.batik.bridge.UserAgentAdapter

  A user agent implementation for FOP's Transcoders.

- - ### Field Summary

    - ### Fields inherited from class org.apache.batik.bridge.UserAgentAdapter

      `ctx, extensions, FEATURES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractFOPTranscoder.FOPTranscoderUserAgent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayError(java.lang.Exception e)` Displays the specified error using the `ErrorHandler`.
    `void` | `displayError(java.lang.String message)` Displays the specified error message using the `ErrorHandler`.
    `void` | `displayMessage(java.lang.String message)` Displays the specified message using the `ErrorHandler`.
    `org.apache.batik.bridge.FontFamilyResolver` | `getFontFamilyResolver()`
    `java.lang.String` | `getMedia()` Get the media for this transcoder.
    `float` | `getPixelUnitToMillimeter()` Returns the pixel to millimeter conversion factor specified in the `TranscodingHints` or 0.3528 if any.
    `void` | `setFontFamilyResolver(FOPFontFamilyResolver resolver)`

    - ### Methods inherited from class org.apache.batik.bridge.UserAgentAdapter

      `addStdFeatures, checkLoadExternalResource, checkLoadScript, deselectAll, getBolderFontWeight, getBrokenLinkDocument, getClientAreaLocationOnScreen, getEventDispatcher, getExternalResourceSecurity, getLighterFontWeight, getMediumFontSize, getPixelToMM, getStandardBolderFontWeight, getStandardLighterFontWeight, handleElement, hasFeature, loadDocument, openLink, registerExtension, runThread, setBridgeContext, setSVGCursor, setTextSelection, showAlert, showConfirm, showPrompt, showPrompt, supportExtension`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractFOPTranscoder.FOPTranscoderUserAgent

          protected AbstractFOPTranscoder.FOPTranscoderUserAgent()

  - ### Method Detail

    - #### displayError

          public void displayError(java.lang.String message)

      Displays the specified error message using the `ErrorHandler`.
      Parameters:
        `message` - the message to display

    - #### displayError

          public void displayError(java.lang.Exception e)

      Displays the specified error using the `ErrorHandler`.
      Specified by:
        `displayError` in interface `org.apache.batik.bridge.UserAgent`
      Parameters:
        `e` - the exception to display

    - #### displayMessage

          public void displayMessage(java.lang.String message)

      Displays the specified message using the `ErrorHandler`.
      Specified by:
        `displayMessage` in interface `org.apache.batik.bridge.UserAgent`
      Parameters:
        `message` - the message to display

    - #### getPixelUnitToMillimeter

          public float getPixelUnitToMillimeter()

      Returns the pixel to millimeter conversion factor specified in the `TranscodingHints` or 0.3528 if any.
      Specified by:
        `getPixelUnitToMillimeter` in interface `org.apache.batik.bridge.UserAgent`
      Returns:
        the pixel unit to millimeter factor

    - #### getMedia

          public java.lang.String getMedia()

      Get the media for this transcoder. Which is always print.
      Specified by:
        `getMedia` in interface `org.apache.batik.bridge.UserAgent`
      Returns:
        PDF media is "print"

    - #### setFontFamilyResolver

          public void setFontFamilyResolver(FOPFontFamilyResolver resolver)

    - #### getFontFamilyResolver

          public org.apache.batik.bridge.FontFamilyResolver getFontFamilyResolver()

      Specified by:
        `getFontFamilyResolver` in interface `org.apache.batik.bridge.UserAgent`
      Overrides:
        `getFontFamilyResolver` in class `org.apache.batik.bridge.UserAgentAdapter`

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.